package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.MusicGroupSubjectPlan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupSubjectPlanDao extends BaseDAO<Integer, MusicGroupSubjectPlan> {
    /**
     * 获取乐团声部招生计划
     *
     * @param musicGroupId
     * @return
     */
    List<MusicGroupSubjectPlan> getMusicSubjectClassPlan(@Param("musicGroupId") int musicGroupId);
}