package com.ym.mec.web.dal.entity;

import com.ym.mec.web.dal.enums.TeachTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(class_group_teacher_mapper):
 */
public class ClassGroupTeacherMapper {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private Integer musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private Integer classGroupId;
	
	/** 老师角色（主教、助教） */
	@ApiModelProperty(value = "老师角色",required = false)
	private TeachTypeEnum teacherRole;
	
	/**  */
	@ApiModelProperty(value = "用户编号",required = false)
	private Integer userId;
	
	/** 薪酬 */
	@ApiModelProperty(value = "薪酬",required = false)
	private BigDecimal salary;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupId(Integer musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public Integer getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}

	public TeachTypeEnum getTeacherRole() {
		return teacherRole;
	}

	public void setTeacherRole(TeachTypeEnum teacherRole) {
		this.teacherRole = teacherRole;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}

	public BigDecimal getSalary() {
		return salary;
	}

	public void setSalary(BigDecimal salary) {
		this.salary = salary;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
