package com.ym.mec.web.service;

import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.Employee;
import com.ym.mec.web.dal.enums.EmployeeOperateEnum;
import com.ym.mec.web.dal.page.EmployeeQueryInfo;

import java.io.IOException;

public interface EmployeeService extends BaseService<Integer, Employee> {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/17
     * 根据部门获取下面的员工
     */
    PageInfo queryEmployByOrganId(EmployeeQueryInfo queryInfo) throws IOException;

    /**
     * @Author: Joburgess
     * @Date: 2019/9/17
     * 员工操作
     */
    void employeeOperate(Long employeeId, EmployeeOperateEnum operate);

}