package com.ym.mec.web.service;

import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.dto.TeacherSignOutDto;
import com.ym.mec.web.dal.entity.TeacherAttendance;
import com.ym.mec.web.dal.page.TeacherAttendanceQueryInfo;

public interface TeacherAttendanceService extends BaseService<Long, TeacherAttendance> {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/10
     * 添加教师签到记录
     */
    void addTeacherAttendanceRecord(TeacherSignOutDto teacherSignOutDto);

    /**
     * 获取教师个人的签到记录
     * @return
     */
    PageInfo getTeacherPersonalAttendances(TeacherAttendanceQueryInfo queryInfo);

}