package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.GoodsOrderItemDao;
import com.ym.mec.web.dal.entity.GoodsOrderItem;
import com.ym.mec.web.service.GoodsOrderItemService;

@Service
public class GoodsOrderItemServiceImpl extends BaseServiceImpl<Long, GoodsOrderItem>  implements GoodsOrderItemService {
	
	@Autowired
	private GoodsOrderItemDao goodsOrderItemDao;

	@Override
	public BaseDAO<Long, GoodsOrderItem> getDAO() {
		return goodsOrderItemDao;
	}
	
}