package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.StudentPaymentOrderDetailDao;
import com.ym.mec.web.dal.entity.StudentPaymentOrderDetail;
import com.ym.mec.web.service.StudentPaymentOrderDetailService;

@Service
public class StudentPaymentOrderDetailServiceImpl extends BaseServiceImpl<Long, StudentPaymentOrderDetail>  implements StudentPaymentOrderDetailService {
	
	@Autowired
	private StudentPaymentOrderDetailDao studentPaymentOrderDetailDao;

	@Override
	public BaseDAO<Long, StudentPaymentOrderDetail> getDAO() {
		return studentPaymentOrderDetailDao;
	}
	
}