package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.SysMessageDao;
import com.ym.mec.web.dal.entity.SysMessage;
import com.ym.mec.web.service.SysMessageService;

@Service
public class SysMessageServiceImpl extends BaseServiceImpl<Long, SysMessage>  implements SysMessageService {
	
	@Autowired
	private SysMessageDao sysMessageDao;

	@Override
	public BaseDAO<Long, SysMessage> getDAO() {
		return sysMessageDao;
	}
	
}