package com.ym.mec.web.service;

import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.ClassGroupStudentMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassGroupStudentMapperService extends BaseService<Long, ClassGroupStudentMapper> {

    /**
     * 批量插入班级关联的学生
     * @param classGroupStudentMapperList
     * @return
     */
    int classGroupStudentsInsert(@Param("classGroupStudentMapperList") List<ClassGroupStudentMapper> classGroupStudentMapperList);

}